library ieee; 
use ieee.std_logic_1164.all;

entity contatore2 is
	port(start,clk: in std_logic;
	conto: out std_logic);
end contatore2;

architecture beh of contatore2  is
 signal nstato,stato: integer range 0 to 3;
begin
	process(start, clk)
	begin
		if start = '1'  then stato <= 0;
		elsif clk'event and clk='0' then
			stato<= nstato;
		end if;
	end process;
	
	process(stato)
	begin	  		
			
			case stato is
				when 0 => nstato <= 1;
				when 1 => nstato <= 2;
				when 2 => nstato <= 3;
				when others => nstato <= 0;
			end case;
		
	end process;  
	
	conto <= '1' when stato = 3 else
		'0';
		
end architecture;

	
