library ieee;

use ieee.std_logic_1164.all;

entity mcm_beh is
	port (A,B: in integer range 0 to 255;
	     clk: in std_logic;
		 start: in std_logic;
		 R: out integer;
		 fine: out std_logic);
end mcm_beh;

architecture beh of mcm_beh is 

begin
process(clk)
 variable ma,mb: integer;
begin
	if clk'event and clk='0' then
		if start='1' then ma:=A;
			mb:=B;
			fine<= '0';
		else  if ma < mb then
			    ma:= ma+A;
			  elsif ma>mb then
				mb:= mb+B;
			  else  R<= ma;
					fine<= '1';
			  end if;
		end if;
     end if;
end process;
end beh;

		
		
	